# Tox (http://tox.testrun.org/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
envlist = py3, pycodestyle, pylint
skipsdist = true

[pycodestyle]
# E501: line too long (80 chars)
ignore = E501

[testenv]
commands =
    pytest xivo_dird
deps =
    -rrequirements.txt
    -rtest-requirements.txt

[testenv:pycodestyle]
commands =
    -sh -c 'pycodestyle xivo_dird > pep8.txt'
deps =
    pycodestyle
allowlist_externals =
    sh

[testenv:pylint]
commands =
    -sh -c 'pylint xivo_dird > pylint.txt'
deps =
    -rrequirements.txt
    -rtest-requirements.txt
    pylint
allowlist_externals =
    sh
